# List GroupContractPlan

Lists all GroupContractPlan for the given groupID and divisionID and coverageStart

Endpoint: GET /groups/{groupID}/divisions/{divisionID}/contracts/{coverageStart}/plans
Version: v1
Security: apiKeyAuth, bearerAuth

## Security:

  - `apiKeyAuth` (unknown)
    apiKey in header x-api-key

  - `bearerAuth` (unknown)
    http bearer JWT

## Path parameters:

  - `groupID` (string, required)
    Group ID

  - `divisionID` (string, required)
    Division ID

  - `coverageStart` (string, required)
    Coverage Start

## Query parameters:

  - `page` (integer)
    Page number. Pages start at 1; page 0 returns 500.

  - `pageSize` (integer)
    Items per page. Defaults to 100. The server sets no maximum; choose a size your client can process in one response.

  - `sortBy` (string)
    Comma separated string to sort by. Each sort field can be followed by :asc or :desc to specify sort direction, ascending is default. E.g., 'Property1:desc,Property2:asc,Property3:asc' sorts Property1 in descending order, Property2 in ascending, and Property3 in ascending.

## Header parameters:

  - `vbasoftware-database` (string, required)
    Target database

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `data` (array)

  - `data.group_ID` (string, required)
    References GroupContract.Group_ID value on the parent record.

  - `data.division_ID` (string, required)
    References GroupContract.Division_ID value on the parent record.

  - `data.coverage_Start` (string, required)
    References GroupContract.Coverage_Start value on the parent record. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.plan_ID` (string, required)
    References Plans.Plan_ID on the parent record.

  - `data.account_Key` (integer)
    Identifies the banking account associated with the selected contract.

  - `data.advice_To_Pay` (boolean, required)
    When this option is selected, adjudication to mark every claim as 'Advice to Pay' (ATP). Advice to Pay claims do not produce check records when processed. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.bpl` (string)
    No longer in use.

  - `data.billing_Basis` (string)
    No longer in use.

  - `data.calc_Interest` (boolean, required)
    Indicates if interest is to be calculated for this contract plan during check processing. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.calc_Interest_ACH` (boolean, required)
    For ACH payments, Indicates if interest is to be calculated for this contract plan during check processing. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.calc_Interest_ACH_Min` (number)
    For ACH payments, If interest is to be calculated, this value determines the minimum interest that can be applied. Any interst calculated below this number is ignored.

  - `data.calc_Interest_ACH_Network_Option` (string)
    For ACH payments, Indicates if interest is to be calculated by: N - In Network or O - Out of Network. Leave this blank if interest applies to both.

  - `data.calc_Interest_ACH_On_Adj` (boolean, required)
    For ACH payments, Flag indicating if interest should be calculated on adjustment claims. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.calc_Interest_ACH_Option` (string)
    For ACH payments, Indicates what field will be used for interest calculation: B - Billed Amount, A - Allowed Amount or P - Paid Amount.

  - `data.calc_Interest_ACH_Pct` (number)
    For ACH payments, Indicates the interest percentage to be applied during interest calculations.

  - `data.calc_Interest_ACH_Prompt_Pay_Freq` (integer)
    For ACH payments, This is the frequency of "Calc_Interest_Prompt_Pay_Type" for determining if interest is applicable.

  - `data.calc_Interest_ACH_Prompt_Pay_Type` (string)
    For ACH payments, This is the "Calc_Interest_Prompt_Pay_Freq" in number of: D - Days, M - Months or Y - Years.

  - `data.calc_Interest_Min` (number)
    If interest is to be calculated, this value determines the minimum interest that can be applied. Any interst calculated below this number is ignored.

  - `data.calc_Interest_Network_Option` (string)
    Indicates if interest is to be calculated by: N - In Network or O - Out of Network. Leave this blank if interest applies to both.

  - `data.calc_Interest_On_Adj` (boolean, required)
    Flag indicating if interest should be calculated on adjustment claims. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.calc_Interest_Option` (string)
    Indicates what field will be used for interest calculation: B - Billed Amount, A - Allowed Amount or P - Paid Amount.

  - `data.calc_Interest_Pct` (number)
    Indicates the interest percentage to be applied during interest calculations.

  - `data.calc_Interest_Prompt_Pay_Freq` (integer)
    This is the frequency of "Calc_Interest_Prompt_Pay_Type" for determining if interest is applicable.

  - `data.calc_Interest_Prompt_Pay_Type` (string)
    This is the "Calc_Interest_Prompt_Pay_Freq" in number of: D - Days, M - Months or Y - Years.

  - `data.dependent_Contribution` (number)
    For flex, determines the Dependent Contribution amount (or Pct if "Dependent_Contribution_Pct" is flagged)

  - `data.dependent_Contribution_Pct` (boolean, required)
    For flex, notes if the amount entered into "Dependent_Contribution" is a percent or flat amount. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.disability_Pay_Through_Day` (integer)
    This is the day number of the week that disability claims created through the disability advisor will run through. This allows a disability claim with an ETD that ends in the middle of a week to be pushed through the end of that week if needed.

  - `data.employee_Contribution` (number)
    For flex, determines the Employee Contribution amount (or Pct if "Employee_Contribution_Pct" is flagged)

  - `data.employee_Contribution_Pct` (boolean, required)
    For flex, notes if the amount entered into "Employee_Contribution" is a percent or flat amount. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.end_Coverage_Age` (integer)
    This is the age of the subscribers on the day based on "End_Coverage_Age_Type" before benefits are no longer eligible.

  - `data.end_Coverage_Age_Type` (string)
    The type of age in years entered in "End_Coverage_Age" by type: EXACTDATE - Age Exact Date, BEGINMONTH - Age at Beginning of month, ENDMONTH - Age at End of month, BEGINYEAR - Age at the beginning of the year, or ENDYEAR - Age at the End of the year.

  - `data.entry_Date` (string)
    Date when the record was first added to the system.

  - `data.entry_User` (string)
    User that first added the record to the system.

  - `data.exempt_Federal` (boolean, required)
    Indicates a federal exemption as part of the selected contract. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.exempt_Medicare` (boolean, required)
    indicates a medicare exemption as part of the selected contract. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.exempt_SocSec` (boolean, required)
    Indicates a social security exemption as part of the selected contract. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.exempt_State` (boolean, required)
    Indicates a state exemption as part of the selected contract. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.federal_Tax_Day_Limit` (integer)
    Limit of days for the federal tax exemption.

  - `data.federal_Wage_Limit` (number)
    Wage limit for the federal tax exemption.

  - `data.locator` (string)
    No longer in use.

  - `data.medicare_Tax_Day_Limit` (integer)
    Limit of days for the medicare tax exemption.

  - `data.medicare_Wage_Limit` (number)
    Wage liimit for the medicare tax exemption.

  - `data.minimum_Benefit` (number)
    For disability claims, this indicates the minimum benefit (weekly for STD plans or monthly for LTD plans).

  - `data.paid_Through` (string)
    Premium Billing setting that holds the premiums paid through for a selection of contracted subscribers.

  - `data.payor_ID` (string)
    References PayorAccount.Payor_ID value on parent record.

  - `data.prorate_FICA` (boolean, required)
    Notes if Disability Claims should Prorate the FICA tax based on the disability payment duration. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.rX_BIN` (string)
    Information fields used to hold RX information on this Contract Plan for reporting and interfaces.

  - `data.rX_CS_Contact` (string)
    Information fields used to hold RX information on this Contract Plan for reporting and interfaces.

  - `data.rX_CS_Phone` (string)
    Information fields used to hold RX information on this Contract Plan for reporting and interfaces.

  - `data.rX_GRP` (string)
    Information fields used to hold RX information on this Contract Plan for reporting and interfaces.

  - `data.rX_Name` (string)
    Information fields used to hold RX information on this Contract Plan for reporting and interfaces.

  - `data.rX_PCN` (string)
    Information fields used to hold RX information on this Contract Plan for reporting and interfaces.

  - `data.retirement_Plan` (boolean, required)
    Flag to indicate if this plan on this contract is a retirement plan. This is information only. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.salary_Pct` (number)
    If "Use_Salary_Pct" option is enabled, this indicatres the percent of salary.

  - `data.socSec_Tax_Day_Limit` (integer)
    Limit of days for the social security tax exemption.

  - `data.socSec_Wage_Limit` (number)
    Wage limite for Social Security tax exemption.

  - `data.state_Tax_Day_Limit` (integer)
    Limit of days for the state tax exemption.

  - `data.state_Wage_Limit` (number)
    Wage limit for the state tax exemption.

  - `data.tax_Day_Limit_Type` (integer, required)
    Indicates if the tax day limitations are by day or calendar months.  The database default for this field is '1'.  Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.update_Date` (string)
    Date when the record was last updated in the system.

  - `data.update_User` (string)
    User that last updated the record in the system.

  - `data.use_Plan_Options` (boolean, required)
    Used on the front end to indicate if the plan options should be shown to the user, has not backend functional impact. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.use_Salary_Pct` (boolean, required)
    Indicates that disability should be based upon salary percentage. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.volume` (number)
    No longer in use.

  - `data.volume_Max` (number)
    Indicates the benefit maximum of the disabiltiy plan.

  - `data.volume_Min` (number)
    Indicates the benefit minimum of the disability plan.

  - `data.pay_To_Subscriber_Payee_ID` (string)

  - `error` (object)

  - `error.detail` (string)
    A human-readable explanation specific to this occurrence of the problem.

  - `error.instance` (string)
    A URI reference that identifies the specific occurrence of the problem.It may
or may not yield further information if dereferenced.

  - `error.status` (integer)
    The HTTP status code([RFC7231], Section 6) generated by the origin server for
this occurrence of the problem.

  - `error.title` (string)
    A short, human-readable summary of the problem type.It SHOULD NOT change from
occurrence to occurrence of the problem, except for purposes of localization(e.g.,
using proactive content negotiation; see[RFC7231], Section 3.4).

  - `error.type` (string)
    A URI reference [RFC3986] that identifies the problem type. This specification
encourages that, when dereferenced, it provide human-readable documentation for
the problem type (e.g., using HTML [W3C.REC-html5-20141028]). When this member
is not present, its value is assumed to be "about:blank".

  - `debug` (object)

  - `debug.activityID` (string, required)

## Response 200 headers (application/json):

  - `X-Pagination` (string)
    Paging metadata as JSON: `TotalCount`, `TotalPages`, `CurrentPage`, `PageSize`. Pages start at 1.
    Example: {"TotalCount":250,"TotalPages":3,"CurrentPage":1,"PageSize":100}

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 403:

  - `403` (unknown)
    Forbidden. The x-api-key header is missing or not valid. The API gateway sends this response, not VBAPI, so the body is not the VBAPI envelope; see Errors and troubleshooting.

## Response 429:

  - `429` (unknown)
    Too many requests. The limit is 25 requests per second sustained, with bursts up to 50, per API key. Wait and retry with exponential backoff and jitter.

